$().ready(function() {
	console.log('Iniciando pantalla');
	
	var fecha 	= new Date();
	var anioActual 	= fecha.getFullYear();
	var anioInicial = 2014;
	
	
	
	for (i = anioInicial; i <= anioActual; i++) {
		  
		  $("#tfFechaReporte").append($('<option>', {
			    value: i,
			    text :i
			}));
		  
		  $("#tfFechaFinReporte").append($('<option>', {
			    value: i,
			    text :i
			}));
		}
	
    
    //var lastDate = new Date(anio , 11, 31);
    
    
//	$('#tfFechaReporte').datepicker({ 
//		onChangeMonthYear: function(year, month, inst){
//		    $(this).datepicker( "setDate", new Date(year, 0, 1) );
//		    $(this).datepicker( "hide" );
//		},
//			dateFormat: 'yy',
//			changeYear: true
//			,showButtonPanel: false
//			,yearRange: "2014:"+anio
//		}).focus(function () {
//			$(".ui-datepicker-calendar").hide();
//			$(".ui-datepicker-prev ui-corner-all").remove();
//			$(".ui-datepicker-month").text("Enero");
//        }).datepicker("setDate", new Date(anio, 0, 01));
//	
//	
//	$('#tfFechaFinReporte').datepicker({dateFormat: 'yy',
//		onChangeMonthYear: function(year, month, inst){
//		    $(this).datepicker( "setDate", new Date(year, 11, 31) );
//		    $(this).datepicker( "hide" );
//		},
//		changeMonth: false,
//		changeYear: true,
//		yearRange: "2014:"+anio
//	    ,showButtonPanel: false
//	}).datepicker("setDate", new Date(anio, 11, 31)).focus(function () {
//        $(".ui-datepicker-calendar").hide();
//        $("a.ui-datepicker-prev ui-corner-all").hide();
//        
//        $(".ui-datepicker-month").text("Diciembre");
//    });
//	
	
	
	
	$("#btGeneraReporte").prop( "disabled", false );
	
	
});

function fHabilitaBoton(){
	
	var fecha = $("#tfFechaReporte").val();
	
	if( fecha != null ) 
		$("#btGeneraReporte").prop( "disabled", false );
	
}//Termina function fHabilitaBoton()


function fgeneraReporte()
{
	var fecha = new Date();
		fecha = $("#tfFechaReporte").val();
	
	var fechaFin = new Date();		
				fechaFin = $("#tfFechaFinReporte").val();
		
	$( "#gifLoad" ).show();
		
	if( fecha != null ) 
		$("#btGeneraReporte").prop( "disabled", true );

	var jsonString = '{"fecha": "' + fecha + '","fechaFin": "' + fechaFin + '"}';
	var stringJson = JSON.parse(jsonString);

	$.ajax({
        url: contextPath + "/reporte/amortizacionBActivos/generarReporteBActivos",
        type: 'POST',
        data: stringJson,
        dataType: "json",
        success: function(response) {
        	descargarArchivo(response);
       },error: function(jqXhr, textStatus, errorThrown) {
        	showError("Ocurrio un error al generar el reporte: "+textStatus);
            //alert("Error: " + textStatus + " ::: " + errorThrown + " ::: " + jqXhr);
        }
    });

}


function descargarArchivo(jsonData) {
	
	if(jsonData.mensajeExcepcion != null){
		showWarn(jsonData.mensajeExcepcion);
	}
	var DataReporte = jsonData.respuesta;
	
	if( DataReporte.resultado )
	{
		window.location = contextPath + "/reporte/amortizacionBActivos/descargarArchivo.action?rutaArchivo="+ DataReporte.ruta;
	}	
	else
		showError('Error al generar el reporte.');
	
	
	$("#btGeneraReporte").prop( "disabled", false );
	$( "#gifLoad" ).hide();
	
}